import ArenaActionTypes from "redux-arena/ActionTypes";
import ActionTypes from "./ActionTypes";
import Phases from "./Phases";
import { SceneBundleThunk, State } from "./types";
export declare function setState(state: State): {
    type: ArenaActionTypes;
    state: State;
};
export declare function nextPhase(phase: Phases): {
    type: ActionTypes;
    phase: Phases;
};
export declare function startLeaving(): {
    type: ActionTypes;
};
export declare function loadSceneBundle(sceneBundleThunk: SceneBundleThunk): {
    type: ActionTypes;
    sceneBundleThunk: SceneBundleThunk;
};
declare const _default: {
    setState: typeof setState;
    nextPhase: typeof nextPhase;
    startLeaving: typeof startLeaving;
    loadSceneBundle: typeof loadSceneBundle;
};
export default _default;
