/// <reference types="react" />
import * as React from "react";
import { ConnectedProps, ExtendedMotionStyle, CombinedStyleCalculator } from "./types";
export declare type InnerState = {
    initStyles: ExtendedMotionStyle[];
    styleCalculator: CombinedStyleCalculator;
    playNode: React.ReactNode;
    oldPlayKey: "play1" | "play2";
    newPlayKey: "play1" | "play2";
};
export default class ArenaSwitchAnimation extends React.Component<ConnectedProps, InnerState> {
    componentWillMount(): void;
    componentWillReceiveProps(nextProps: ConnectedProps): void;
    render(): JSX.Element;
}
