import { bundleToComponent } from "redux-arena";
import SceneMotion from "./SceneMotion";
import actions from "./actions";
import saga from "./saga";
import reducer from "./reducer";
import state from "./state";
export default bundleToComponent({
    Component: SceneMotion,
    actions: actions,
    reducer: reducer,
    saga: saga,
    state: state,
    options: {
        vReducerKey: "_arenaSceneAnimation"
    }
});
export { default as Phases } from "./Phases";
