Object.defineProperty(exports, "__esModule", { value: true });
var redux_arena_1 = require("redux-arena");
var SceneMotion_1 = require("./SceneMotion");
var actions_1 = require("./actions");
var saga_1 = require("./saga");
var reducer_1 = require("./reducer");
var state_1 = require("./state");
exports.default = redux_arena_1.bundleToComponent({
    Component: SceneMotion_1.default,
    actions: actions_1.default,
    reducer: reducer_1.default,
    saga: saga_1.default,
    state: state_1.default,
    options: {
        vReducerKey: "_arenaSceneAnimation"
    }
});
var Phases_1 = require("./Phases");
exports.Phases = Phases_1.default;
